Name:     drbl-icap
Version:  1.0.0
Release:  1%{?dist}
Summary:  DRBL ICAP service
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      http://www.ngtech.co.il/squidblocker_en.html
Source0:  drbl-icap.service
Source1:  drbl-icap.env
Source2:  README.md
Source3:  drbl-icap
Source4:  peersfile.txt

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires:       systemd-units
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
Squid Blocker for maximum uptime filtering and fast updates.

%prep
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/drbl-icap
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}/drbl-icap
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/drbl-icap/drbl-icap.env
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/drbl-icap/README.md
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/drbl-icap/peersfile.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%attr(755,root,root) %dir %{_sysconfdir}/drbl-icap
%{_sbindir}/drbl-icap
%{_sysconfdir}/drbl-icap/drbl-icap.env
%{_sysconfdir}/drbl-icap/README.md
%{_sysconfdir}/drbl-icap/peersfile.txt
%{_unitdir}/drbl-icap.service

%post
%systemd_post drbl-icap.service

%preun
%systemd_preun drbl-icap.service

%postun
%systemd_postun_with_restart drbl-icap.service

%changelog
* Sat Jan 21 2017 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 1.0.0 Stable.
